Skip to main content
GET
/
esignature
Get E-Sign Status
curl --request GET \
  --url https://sandbox.cashfree.com/verification/esignature \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>'
import requests

url = "https://sandbox.cashfree.com/verification/esignature"

headers = {
    "x-client-id": "<api-key>",
    "x-client-secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-client-id': '<api-key>', 'x-client-secret': '<api-key>'}
};

fetch('https://sandbox.cashfree.com/verification/esignature', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "status": "IN_PROGRESS", "reference_id": 32, "verification_id": "ESTestVERID34", "document_id": 36, "signers": [ { "name": "John Doe", "status": "SUCCESS", "is_notified": true, "meta_data": { "name": "John Doe", "gender": "M", "year_of_birth": "1990", "postal_code": "560012", "state": "Karnataka", "country": "India", "serial_number": "ABC123456789", "ip_address": "192.168.1.1", "latitude": "12.9716", "longitude": "77.5946", "signing_time": "2023-10-01T12:00:00Z", "aadhaar_last_four_digit": "1234" } }, { "name": "Frank Kelvin", "status": "SIGN_IN_PROGRESS", "is_notified": true, "meta_data": { "name": null, "gender": null, "year_of_birth": null, "postal_code": null, "state": null, "country": null, "serial_number": null, "ip_address": null, "latitude": null, "longitude": null, "signing_time": null, "aadhaar_last_four_digit": null } } ], "signed_doc_url": "SIGNED_DOC_URL" }

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

Query Parameters

reference_id
integer
default:54321

It is the unique ID created by Cashfree Payments that you receive in the response of Create E-Sign Request API. format: int64

verification_id
string
default:ABC00123

It is the unique ID you create to identify the Create E-Sign Request API.

Response

Success response for retrieving the status of an e-signature request.

status
string

It displays the status of the e-signature. Possible values are: - IN_PROGRESS: Signing process is initiated. - SUCCESS: All the signers signed successfully. - EXPIRED: Signing window expired. - FAILURE: Error occured during signing the document.

Example:

"IN_PROGRESS"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

32

verification_id
string

It displays the unique ID created by you to identify the API request.

Example:

"ABC00123"

document_id
integer

It displays the unique ID created by Cashfree Payments to identify the uploaded document.

Example:

36

signers
object[]

It contains the details of the signer(s).

Example:
[
  {
    "name": "John Doe",
    "status": "RECEIVED",
    "is_notified": false,
    "meta_data": {
      "name": null,
      "gender": null,
      "year_of_birth": null,
      "postal_code": null,
      "state": null,
      "country": null,
      "serial_number": null,
      "ip_address": null,
      "latitude": null,
      "longitude": null,
      "signing_time": null,
      "aadhaar_last_four_digit": null
    }
  },
  {
    "name": "John Snow",
    "status": "SIGN_INITIATED",
    "is_notified": true,
    "meta_data": {
      "name": null,
      "gender": null,
      "year_of_birth": null,
      "postal_code": null,
      "state": null,
      "country": null,
      "serial_number": null,
      "ip_address": null,
      "latitude": null,
      "longitude": null,
      "signing_time": null,
      "aadhaar_last_four_digit": null
    }
  },
  {
    "name": "Frank Kelvin",
    "status": "SIGN_IN_PROGRESS",
    "is_notified": true,
    "meta_data": {
      "name": null,
      "gender": null,
      "year_of_birth": null,
      "postal_code": null,
      "state": null,
      "country": null,
      "serial_number": null,
      "ip_address": null,
      "latitude": null,
      "longitude": null,
      "signing_time": null,
      "aadhaar_last_four_digit": null
    }
  },
  {
    "name": "John Cena",
    "status": "SUCCESS",
    "is_notified": true,
    "meta_data": {
      "name": "John Doe",
      "gender": "M",
      "year_of_birth": "1990",
      "postal_code": "560012",
      "state": "Karnataka",
      "country": "India",
      "serial_number": "ABC123456789",
      "ip_address": "192.168.1.1",
      "latitude": "12.9716",
      "longitude": "77.5946",
      "signing_time": "2023-10-01T12:00:00Z",
      "aadhaar_last_four_digit": "1234"
    }
  },
  {
    "name": "John Frank",
    "status": "FAILURE",
    "is_notified": true,
    "meta_data": {
      "name": null,
      "gender": null,
      "year_of_birth": null,
      "postal_code": null,
      "state": null,
      "country": null,
      "serial_number": null,
      "ip_address": null,
      "latitude": null,
      "longitude": null,
      "signing_time": null,
      "aadhaar_last_four_digit": null
    }
  },
  {
    "name": "Frank Doe",
    "status": "EXPIRED",
    "is_notified": true,
    "meta_data": {
      "name": null,
      "gender": null,
      "year_of_birth": null,
      "postal_code": null,
      "state": null,
      "country": null,
      "serial_number": null,
      "ip_address": null,
      "latitude": null,
      "longitude": null,
      "signing_time": null,
      "aadhaar_last_four_digit": null
    }
  }
]
signed_doc_url
string

It displays the link to the signed document.

Example:

"SIGNED_DOC_URL"